/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectMemberApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectMemberApiTests : IDisposable
    {
        private ProjectMemberApi instance;

        public ProjectMemberApiTests()
        {
            instance = new ProjectMemberApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectMemberApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectMemberApi
            //Assert.IsType<ProjectMemberApi>(instance);
        }

        /// <summary>
        /// Test AddMembership
        /// </summary>
        [Fact]
        public void AddMembershipTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //ProjectRoleForProjectCreationDto? projectRoleForProjectCreationDto = null;
            //var response = instance.AddMembership(projectId, projectRoleForProjectCreationDto);
            //Assert.IsType<ProjectRoleDtoResponse>(response);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdMembersOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdMembersOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdMembersOptions(projectId);
        }

        /// <summary>
        /// Test DeleteMembership
        /// </summary>
        [Fact]
        public void DeleteMembershipTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid membershipId = null;
            //instance.DeleteMembership(projectId, membershipId);
        }

        /// <summary>
        /// Test GetMembership
        /// </summary>
        [Fact]
        public void GetMembershipTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid membershipId = null;
            //var response = instance.GetMembership(projectId, membershipId);
            //Assert.IsType<ProjectRoleDtoResponse>(response);
        }

        /// <summary>
        /// Test GetMemberships
        /// </summary>
        [Fact]
        public void GetMembershipsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetMemberships(projectId, pageNumber, pageSize, orderBy);
            //Assert.IsType<ProjectRoleDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test UpdateMembership
        /// </summary>
        [Fact]
        public void UpdateMembershipTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid membershipId = null;
            //ProjectRoleForProjectManipulationDto? projectRoleForProjectManipulationDto = null;
            //instance.UpdateMembership(projectId, membershipId, projectRoleForProjectManipulationDto);
        }
    }
}
